RenameWindowDialog Class Reference

Rename window dialog. More...

`#include <RenameWindowDialog.h>`

Inheritance diagram for RenameWindowDialog:

## Public Slots

void | accept ()
MdiSubWindow::CaptionPolicy | getCaptionPolicy ()
void | setWidget (MdiSubWindow *w)

## Public Member Functions

| RenameWindowDialog (QWidget *parent=0, Qt::WFlags fl=0)

## Private Attributes

QRadioButton * | boxBoth
QRadioButton * | boxLabel
QTextEdit * | boxLabelEdit
QRadioButton * | boxName
QLineEdit * | boxNameLine
QPushButton * | buttonCancel
QPushButton * | buttonOk
QButtonGroup * | buttons
QGroupBox * | groupBox1
MdiSubWindow * | window

## Detailed Description

Rename window dialog.

## Constructor & Destructor Documentation

RenameWindowDialog::RenameWindowDialog | ( | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References accept(), boxBoth, boxLabel, boxLabelEdit, boxName, boxNameLine, buttonCancel, buttonOk, buttons, and groupBox1.

## Member Function Documentation

void RenameWindowDialog::accept | ( |  | ) |

slot

References boxLabelEdit, boxNameLine, MdiSubWindow::captionPolicy(), getCaptionPolicy(), ApplicationWindow::modifiedProject(), MdiSubWindow::name(), MdiSubWindow::setCaptionPolicy(), MdiSubWindow::setWindowLabel(), ApplicationWindow::setWindowName(), window, and MdiSubWindow::windowLabel().

Referenced by RenameWindowDialog().

MdiSubWindow::CaptionPolicy RenameWindowDialog::getCaptionPolicy | ( |  | ) |

slot

References MdiSubWindow::Both, boxBoth, boxLabel, MdiSubWindow::Label, and MdiSubWindow::Name.

Referenced by accept().

void RenameWindowDialog::setWidget | ( | MdiSubWindow * | w | ) |

slot

References MdiSubWindow::Both, boxBoth, boxLabel, boxLabelEdit, boxName, boxNameLine, MdiSubWindow::captionPolicy(), MdiSubWindow::Label, MdiSubWindow::Name, window, and MdiSubWindow::windowLabel().

Referenced by ApplicationWindow::rename(), and ApplicationWindow::renameWindow().

## Member Data Documentation

QRadioButton* RenameWindowDialog::boxBoth

private

Referenced by getCaptionPolicy(), RenameWindowDialog(), and setWidget().

QRadioButton* RenameWindowDialog::boxLabel

private

Referenced by getCaptionPolicy(), RenameWindowDialog(), and setWidget().

QTextEdit* RenameWindowDialog::boxLabelEdit

private

Referenced by accept(), RenameWindowDialog(), and setWidget().

QRadioButton* RenameWindowDialog::boxName

private

Referenced by RenameWindowDialog(), and setWidget().

QLineEdit* RenameWindowDialog::boxNameLine

private

Referenced by accept(), RenameWindowDialog(), and setWidget().

QPushButton* RenameWindowDialog::buttonCancel

private

Referenced by RenameWindowDialog().

QPushButton* RenameWindowDialog::buttonOk

private

Referenced by RenameWindowDialog().

QButtonGroup* RenameWindowDialog::buttons

private

Referenced by RenameWindowDialog().

QGroupBox* RenameWindowDialog::groupBox1

private

Referenced by RenameWindowDialog().

MdiSubWindow* RenameWindowDialog::window

private

Referenced by accept(), and setWidget().

The documentation for this class was generated from the following files:

- qtiplot/src/core/RenameWindowDialog.h
- qtiplot/src/core/RenameWindowDialog.cpp